Generation Framework

## org.eclipse.gmf.mappings
Interface NodeReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NeedsContainment, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ChildReference, TopNodeReference

All Known Implementing Classes:
  ChildReferenceImpl, NodeReferenceImpl, TopNodeReferenceImpl

    public interface NodeReference

extends NeedsContainment

A representation of the model object 'Node Reference'.

The following features are supported:

- `Children Feature`
- `Child`

See Also:
  `GMFMapPackage.getNodeReference()`
** Generated **
Model:
  abstract="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not containmentFeature.oclIsUndefined() implies containmentFeature.eReferenceType.isSuperTypeOf(child.domainMetaElement)' description='\'Containment Feature\' must reference the same class or super type of \'Domain Meta Element\' of the referenced node'"

Method Summary
`NodeMapping` `getChild()` Returns the value of the 'Child' reference
`org.eclipse.emf.ecore.EReference` `getChildrenFeature()` Returns the value of the 'Children Feature' reference
`boolean` `isSetChild()` Returns whether the value of the '`Child`' reference is set
`void` `setChildrenFeature(org.eclipse.emf.ecore.EReference value)` Sets the value of the '`Children Feature`' reference

Methods inherited from interface org.eclipse.gmf.mappings.NeedsContainment
`getContainmentFeature, setContainmentFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getChildrenFeature

    org.eclipse.emf.ecore.EReference getChildrenFeature()

  Returns the value of the 'Children Feature' reference.

  If the meaning of the 'Children Feature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children Feature' reference.
  See Also:
    `setChildrenFeature(EReference)`, `GMFMapPackage.getNodeReference_ChildrenFeature()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not childrenFeature.oclIsUndefined() implies childrenFeature.eReferenceType.isSuperTypeOf(child.domainMetaElement)' description='\'Children Feature\' must reference the same class or super type of \'Domain Meta Element\' of the referenced node'"

### setChildrenFeature

    void setChildrenFeature(org.eclipse.emf.ecore.EReference value)

  Sets the value of the '`Children Feature`' reference.

  Parameters:
    `value` - the new value of the 'Children Feature' reference.
  See Also:
    `getChildrenFeature()`
  ** Generated **

### getChild

    NodeMapping getChild()

  Returns the value of the 'Child' reference.

  Returns:
    the value of the 'Child' reference.
  See Also:
    `isSetChild()`, `GMFMapPackage.getNodeReference_Child()`
  ** Generated **
  Model:
    resolveProxies="false" unsettable="true" transient="true" changeable="false" volatile="true" derived="true"

### isSetChild

    boolean isSetChild()

  Returns whether the value of the '`Child`' reference is set.

  Returns:
    whether the value of the 'Child' reference is set.
  See Also:
    `getChild()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.